Subject: Re: bug#40861: 26.3; parse-time-string does not intepret times

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Apr 2020 17:05:33 +0300

> From: [email-masked]
> Date: Sun, 26 Apr 2020 19:59:07 +1200
> 
> ;; parse-time.el
> (parse-time-string "14:00")
> (nil nil nil nil nil nil nil nil nil)

In Emacs 27 this produces

  (0 0 14 nil nil nil nil -1 nil)

which I think is reasonable.

> ;; Provided examples from the manual
> (parse-time-string "Fri, 25 Mar 2016 16:24:56 +0100")
> (nil nil nil 25 3 2016 5 nil nil)

This produces

  (56 24 16 25 3 2016 5 -1 3600)

with Emacs 27.

> (parse-time-string "1998-09-12T12:21:54-0200")
> (nil nil nil nil nil nil nil nil nil)

I get

  (nil nil nil nil nil nil nil -1 nil)

So I think this is already fixed in the development sources, and you
are advised to upgrade to Emacs 27 (its pretest is available from
alpha.gnu.org).

Thanks.